Subject: Re: bug#78456: 31.0.50; regression in treesit-simple-imenu

From: Juri Linkov <[email-masked]>
Date: Fri, 16 May 2025 19:04:09 +0300

close 78456 31.0.50
thanks

> Ciao, 
> Imenu of ‘mhtml-ts-mode’ was able to show all (when I wrote mhtml-ts-mode) 
> items regardless of the cursor's position within the file. 
> For example, it always showed CSS, JavaScript, and HTML items. However, I 
> realized that the behavior has changed, and the displayed items vary depending 
> on the cursor's position.
>
> If the cursor is placed inside the <script> tags, you will see HTML and 
> JavaScript items, but not CSS items. If the cursor is positioned outside the 
> <style> and <script> tags, only the HTML items are visible.
>
> This change seems to be related to the patch (bug #77256). Is it possible to 
> restore the previous behavior?

Sorry, this was caused by the assumption that imenu should depend
on the language at point.  I have no opinion whether imenu should
be context-dependent or global to show tags from all languages.
So I just restored the previous behavior.